
#ifndef AKI80_H
#define AKI80_H

/*-----------------------------------------------------------------------
 *	IO Addr
 *---------------------------------------------------------------------*/
#define CTC0	0x10
#define CTC1	0x11
#define CTC2	0x12
#define CTC3	0x13

#define SIOA_DATA	0x18
#define SIOA_CMD	0x19
#define SIOA_STAT	0x19
#define SIOB_DATA	0x1A
#define SIOB_CMD	0x1B
#define SIOB_STAT	0x1B

#define PIOA_DATA	0x1C
#define PIOA_CMD	0x1D
#define PIOB_DATA	0x1E
#define PIOB_CMD	0x1F

#define PPI0_ADATA	0x30
#define PPI0_BDATA	0x31
#define PPI0_CDATA	0x32
#define PPI0_CMD	0x33

#define PPI1_ADATA	0x34
#define PPI1_BDATA	0x35
#define PPI1_CDATA	0x36
#define PPI1_CMD	0x37

#define WDT_MODE	0xf0
#define WDT_CMD		0xf1

#define INT_PRI		0xf4

/*-----------------------------------------------------------------------
 *	SIO Command
 *---------------------------------------------------------------------*/
#define SIO_CMD_Null		0x00
#define SIO_CMD_SndAbt		0x08
#define SIO_CMD_RstExtInt	0x10
#define SIO_CMD_ChRst		0x18
#define SIO_CMD_EnIntNxt	0x20
#define SIO_CMD_RstTxIntPen	0x28
#define SIO_CMD_ErrRst		0x30
#define SIO_CMD_Reti		0x38

/*-----------------------------------------------------------------------
 *	start.asł̋Lq֐Hitech C̐
 *---------------------------------------------------------------------*/
extern uchar inp(uint);
extern void outp(uint, uchar);
extern void MON_RET(void);	/* RiROM̎̓NG[ɂȂ */

/* HItech C V3.09ł͉LL[[h͖Ȃ̂ŖB
 * GAIO CRpCŎgpƂ̓RgAEg
 */
#define volatile
#define const

#endif	/*AKI80_H*/

